# ApplicationType enum

Enumeration of types of applications that can be run in a JetLeaf environment.

This enum helps determine whether the application context should be bootstrapped with web-specific configurations (such as servlet or filter mappings), or treated as a non-web application.

Example usage:

    void main() {
      final type = ApplicationType.WEB;
      print(type.getName()); // WEB
      print(type.getEmoji()); // 🌐
    }

Inheritance
  - Object
  - Enum
  - ApplicationType
Available extensions
  - EnumName

## Values

NONE → const ApplicationType

  Enumeration of types of applications that can be run in a JetLeaf environment.

  This enum helps determine whether the application context should be bootstrapped with web-specific configurations (such as servlet or filter mappings), or treated as a non-web application.

  Example usage:

      void main() {
        final type = ApplicationType.WEB;
        print(type.getName()); // WEB
        print(type.getEmoji()); // 🌐
      }

  `const ApplicationType("CLI", "💻")`
WEB → const ApplicationType

  Enumeration of types of applications that can be run in a JetLeaf environment.

  This enum helps determine whether the application context should be bootstrapped with web-specific configurations (such as servlet or filter mappings), or treated as a non-web application.

  Example usage:

      void main() {
        final type = ApplicationType.WEB;
        print(type.getName()); // WEB
        print(type.getEmoji()); // 🌐
      }

  `const ApplicationType("WEB", "🌐")`

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
index → int
  A numeric identifier for the enumerated value.
  no setter inherited
name → String

  Available on Enum, provided by the EnumName extension

  The name of the enum value.
  no setter
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

getEmoji() → String
  Returns the emoji representing this ApplicationType.
getName() → String
  Returns the string name of this ApplicationType.
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Static Methods

fromString(String name) → ApplicationType
  Returns the ApplicationType that matches the given `name`.

## Constants

values → const List<ApplicationType>
  A constant List of the values in this enum, in order of their declaration.